DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# RadialMean

statistics function

## SYNOPSIS

dip_Error dip_RadialMean ( in, mask, out, ps, binSize, innerRadius, center )

## DATA TYPES

binary, integer, float

## FUNCTION

This function computes the radial projection of the mean of the pixel intensities of `in`.

The radial projection is performed for the dimensions specified by `ps`. If the radial distance of a pixel to the center of the image is `r`, than the mean of the intensities of all pixels with `n * binSize <= r < (n + 1) * binSize` is stored at position `n` in the radial dimension of `out`. The radial dimension is the first dimension to be processed (as specified by `ps`). If `innerRadius` is set to `DIP_TRUE`, the maximum radius that is projected is equal to the the smallest dimension of the to be projected dimensions. Otherwise, the maximum radius is set equal to the diagonal length of the dimensions to be processed.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `mask` | Binary mask (or 0)
`dip_Image` | `out` | Output
`dip_BooleanArray` | `ps` | Dimensions to project (or 0)
`dip_float` | `binSize` | Size of radial bins
`dip_Boolean` | `innerRadius` | Maximum radius
`dip_FloatArray` | `center` | Coordinates of center (or 0)

## SEE ALSO

`RadialSum`, `RadialMaximum`, `RadialMinimum`, `Sum`, `Mean`, `Maximum`, `Minimum`